Package org.apache.sysds.runtime.io.cog

## Enum SampleFormatDataTypes

- java.lang.Object
- - java.lang.Enum<SampleFormatDataTypes>
  - - org.apache.sysds.runtime.io.cog.SampleFormatDataTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<SampleFormatDataTypes>`

    public enum SampleFormatDataTypes
    extends Enum<SampleFormatDataTypes>

Enum for mapping sample formats of TIFF image data to names

### Enum Constant Summary

Enum Constants
`FLOATING_POINT`
`SIGNED_INTEGER`
`UNDEFINED`
`UNSIGNED_INTEGER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static SampleFormatDataTypes` `valueOf​(int value)` Returns the enum constant of this type with the specified name.
`static SampleFormatDataTypes` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SampleFormatDataTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNSIGNED_INTEGER

    public static final SampleFormatDataTypes UNSIGNED_INTEGER

#### SIGNED_INTEGER

    public static final SampleFormatDataTypes SIGNED_INTEGER

#### FLOATING_POINT

    public static final SampleFormatDataTypes FLOATING_POINT

#### UNDEFINED

    public static final SampleFormatDataTypes UNDEFINED

### Method Detail

#### values

    public static SampleFormatDataTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SampleFormatDataTypes c : SampleFormatDataTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SampleFormatDataTypes valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

#### valueOf

    public static SampleFormatDataTypes valueOf​(int value)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null